Bug 1282787 - "dnf install ibus-table-*" does not install ibus-table-chinese-wubi-jidian but "dnf install ibus-table-chinese-*" does install it
"dnf install ibus-table-*" does not install ibus-table-chinese-wubi-jidian bu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 07:15 EST by Mike FABIAN
Modified: 2016-11-25 05:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 05:18:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2015-11-17 07:15:50 EST
The behaviour of * wildcards in "dnf install ..." is a bit weird:

Trying to install "ibus-table-*" does not install the packages whose
names start with ibus-table-chinese for example (and not the packages
starting with ibus-table-latin etc. either):

    [mfabian@Fedora-Workstation-netinst-x86_6 ~]$ sudo dnf install ibus-table-*
    Last metadata expiration check performed 0:50:13 ago on Sun Oct 25 17:33:06 2015.
    Package ibus-table-devel-1.9.9-1.fc23.noarch is already installed, skipping.
    Package ibus-table-1.9.9-1.fc23.noarch is already installed, skipping.
    Dependencies resolved.
    Nothing to do.
    Complete!
    [mfabian@Fedora-Workstation-netinst-x86_6 ~]$

But installing "ibus-table-chinese-*" works:

    [mfabian@Fedora-Workstation-netinst-x86_6 ~]$ sudo dnf install ibus-table-chinese-*
    Last metadata expiration check performed 0:50:24 ago on Sun Oct 25 17:33:06 2015.
    Dependencies resolved.
    =====================================================================================
     Package                             Arch       Version             Repository  Size
    =====================================================================================
    Installing:
     ibus-table-chinese                  noarch     1.8.2-4.fc23        fedora      11 k
     ibus-table-chinese-array            noarch     1.8.2-4.fc23        fedora     2.0 M
     ibus-table-chinese-cangjie          noarch     1.8.2-4.fc23        fedora     1.4 M
     ibus-table-chinese-cantonese        noarch     1.8.2-4.fc23        fedora     257 k
     ibus-table-chinese-easy             noarch     1.8.2-4.fc23        fedora     1.1 M
     ibus-table-chinese-erbi             noarch     1.8.2-4.fc23        fedora     1.7 M
     ibus-table-chinese-quick            noarch     1.8.2-4.fc23        fedora     700 k
     ibus-table-chinese-scj              noarch     1.8.2-4.fc23        fedora     744 k
     ibus-table-chinese-stroke5          noarch     1.8.2-4.fc23        fedora      66 k
     ibus-table-chinese-wu               noarch     1.8.2-4.fc23        fedora     149 k
     ibus-table-chinese-wubi-haifeng     noarch     1.8.2-4.fc23        fedora     2.0 M
     ibus-table-chinese-wubi-jidian      noarch     1.8.2-4.fc23        fedora     2.1 M
     ibus-table-chinese-yong             noarch     1.8.2-4.fc23        fedora     656 k

    Transaction Summary
    =====================================================================================
    Install  13 Packages

    Total download size: 13 M
    Installed size: 37 M
    Is this ok [y/N]: 

This seems a bit inconsistent.

Dnf version is: dnf-1.1.3-1.fc23.noarch
Comment 1 LiuYan 2015-11-22 09:33:58 EST
Similar issue when I try remove old kernel packages.

Example:

1. All kernel packages I have now:
# ll /boot/vm*
-rwxr-xr-x 1 root root 5978744 10月  8 16:37 /boot/vmlinuz-0-rescue-d33600b7949145348b6429e93dee0856
-rwxr-xr-x 1 root root 5964056 10月  5 22:32 /boot/vmlinuz-4.1.10-200.fc22.x86_64
-rwxr-xr-x 1 root root 5961928 11月 10 21:19 /boot/vmlinuz-4.1.13-100.fc21.x86_64
-rwxr-xr-x 1 root root 5980440 11月 21 06:35 /boot/vmlinuz-4.2.6-301.fc23.x86_64


2.
Try to remove 4.1.10-200.fc22 packages

2.1. "*-4.1.10-*" wildcard pattern, NO packages matched
# LANG=en_US.UTF-8 dnf remove *-4.1.10-*
No match for argument: *-4.1.10-*
Error: No packages marked for removal.


2.2. "*-4.1.10-200*" wildcard pattern, NO packages matched
# LANG=en_US.UTF-8 dnf remove *-4.1.10-200*
No match for argument: *-4.1.10-200*
Error: No packages marked for removal.


2.3 "*-4.1.10-200.fc22" wildcard pattern, MATCHED!
# LANG=en_US.UTF-8 dnf remove *-4.1.10-200.fc22
Dependencies resolved.
================================================================================
 Package             Arch        Version               Repository          Size
================================================================================
Removing:
 kernel              x86_64      4.1.10-200.fc22       @@commandline        0  
 kernel-core         x86_64      4.1.10-200.fc22       @@commandline       42 M
 kernel-devel        x86_64      4.1.10-200.fc22       @@commandline       36 M
 kernel-modules      x86_64      4.1.10-200.fc22       @@commandline       17 M

Transaction Summary
================================================================================
Remove  4 Packages

Installed size: 95 M
Is this ok [y/N]: n


2.4 "*-4.1.10" or "*-4.1.10*" wildcard patterns MATCHED too
# LANG=en_US.UTF-8 dnf remove *-4.1.10
Dependencies resolved.
================================================================================
 Package             Arch        Version               Repository          Size
================================================================================
Removing:
 kernel              x86_64      4.1.10-200.fc22       @@commandline        0  
 kernel-core         x86_64      4.1.10-200.fc22       @@commandline       42 M
 kernel-devel        x86_64      4.1.10-200.fc22       @@commandline       36 M
 kernel-modules      x86_64      4.1.10-200.fc22       @@commandline       17 M

Transaction Summary
================================================================================
Remove  4 Packages

Installed size: 95 M
Is this ok [y/N]: n
Comment 2 Mike FABIAN 2016-03-16 03:44:34 EDT
The problem still exists in rawhide as of today.
Comment 3 Mike FABIAN 2016-03-16 07:23:14 EDT
(In reply to Mike FABIAN from comment #2)
> The problem still exists in rawhide as of today.

No, I  must have tested this wrong, I cannot reproduce it anymore.
So it seems to work in rawhide!
Comment 4 Fedora Admin XMLRPC Client 2016-07-08 05:35:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 08:31:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Michael Mráka 2016-11-25 05:18:19 EST
Confirm it works in rawhide:

# dnf install ibus-table-*
Last metadata expiration check: 2:04:04 ago on Fri Nov 25 09:12:29 2016 CET.
Dependencies resolved.
==========================================================================================================
 Package                                Arch          Version                        Repository      Size
==========================================================================================================
Installing:
 ibus-table-chinese                     noarch        1.8.2-6.fc24                   fedora          11 k
 ibus-table-chinese-array               noarch        1.8.2-6.fc24                   fedora         2.0 M
 ibus-table-chinese-cangjie             noarch        1.8.2-6.fc24                   fedora         1.4 M
 ibus-table-chinese-cantonese           noarch        1.8.2-6.fc24                   fedora         257 k
 ibus-table-chinese-easy                noarch        1.8.2-6.fc24                   fedora         1.1 M
 ibus-table-chinese-erbi                noarch        1.8.2-6.fc24                   fedora         1.7 M
 ibus-table-chinese-quick               noarch        1.8.2-6.fc24                   fedora         700 k
 ibus-table-chinese-scj                 noarch        1.8.2-6.fc24                   fedora         744 k
 ibus-table-chinese-stroke5             noarch        1.8.2-6.fc24                   fedora          66 k
 ibus-table-chinese-wu                  noarch        1.8.2-6.fc24                   fedora         149 k
 ibus-table-chinese-wubi-haifeng        noarch        1.8.2-6.fc24                   fedora         2.0 M
 ibus-table-chinese-wubi-jidian         noarch        1.8.2-6.fc24                   fedora         2.1 M
 ibus-table-chinese-yong                noarch        1.8.2-6.fc24                   fedora         656 k
 ibus-table-code                        noarch        1.3.7-5.fc24                   fedora         419 k
 ibus-table-cyrillic                    noarch        1.3.7-5.fc24                   fedora          22 k
 ibus-table-devel                       noarch        1.9.12-1.fc24                  fedora          25 k
 ibus-table-extraphrase                 noarch        1.3.9.20110826-8.fc24          fedora         1.9 M
 ibus-table-latin                       noarch        1.3.7-5.fc24                   fedora          25 k
 ibus-table-mathwriter                  noarch        1.3.7-5.fc24                   fedora          61 k
 ibus-table-others                      noarch        1.3.7-5.fc24                   fedora          28 k
 ibus-table-translit                    noarch        1.3.7-5.fc24                   fedora          20 k
 ibus-table-tv                          noarch        1.3.7-5.fc24                   fedora          21 k
Installing dependencies:
...

Note You need to log in before you can comment on or make changes to this bug.